--- title: "Connect rule update" slug: "connect-rule-update" tags: ["Reference", "Email Security - Cloud", "Customer", "Cloud Security"] updated: 2026-09-04T19:23:14Z published: 2026-09-04T19:23:14Z canonical: "docs.trellix.com/connect-rule-update" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Connect rule update Updates rules in a connect rule policy. `PATCH https://<API_HOST>/api/v1/policies/policy1_uuid/configuration/rules/connect/accept` `PATCH https://<API_HOST>/api/v1/policies/policy1_uuid/configuration/rules/connect/deny` `PATCH https://<API_HOST>/api/v1/policies/policy1_uuid/configuration/rules/connect/throttle` `PATCH https://<API_HOST>/api/v1/policies/policy1_uuid/configuration/rules/connect/tls` `PATCH https://<API_HOST>/api/v1/policies/policy1_uuid/configuration/rules/connect/trusted_sender` > [!NOTE] > Note > > If the value to be deleted is not available in the database, the request is ignored. > > If the value to be added is already available in the database, a duplicate error will be returned. > > TLS rules accept sender_domains only. > > Trusted Sender rules accept sender_domains and sender only. **Required headers:** If the domain you use to access the Trellix UI ends in `fireeye.com`: `x-fireeye-api-key: <key>`—Specifies your personal API key. If the domain you use to access the Trellix UI ends in `trellix.com`: `authorization: bearer <access_token>`—Specifies your personal access token. `Content-Type: “application/json”`—Content type of the request body. ### Options `policy1_uuid`—(string) Universally unique identifier (UUID) of the policy. `accept`—Specifies rule type: accept. `deny`—Specifies rule type: deny. `throttle`—Specifies rule type: throttle. `tls`—Specifies rule type: tls. `trusted_sender`—Specifies rule type: trusted_sender. ### Request body ``` {    "add":    {        "sender_domains": ["d1.com", "d2.com"],    },    "delete":    {        "recipients": ["abc@xyz.com"],    } } ``` ### cURL code sample: connect rule update `curl -k -X PATCH https://API_HOST/api/v1/policies/755defef-b30c-4ea5-a19c-dd97f8ed697c/configuration/rules/connect/accept -H "Content-Type: application/json" -H "x-fireeye-api-key: xxxxxxxxxxxxx" -d'{"add": {"sender_domains": ["d1.com", "d2.com"],}, "delete": {"recipients": ["abc@xyz.com"],}}'` This cURL sample includes the following options: - `-X PATCH`—This option changes the HTTP method to PATCH. - `-H "Content-Type: application/json"`—This header specifies that the request body is sent to the server in JSON format. - `-H "x-fireeye-api-key: xxxxxxxxxxxxxxx"`—This header specifies your personal API key. - `https://API_HOST/api/v1/policies/755defef-b30c-4ea5-a19c-dd97f8ed697c/configuration/rules/connect/accept`—The connect rule update URL. Replace `API_HOST` with the IP address of your Email Security - Cloud instance and `755defef-b30c-4ea5-a19c-dd97f8ed697c` with the UUID of the connect rule policy. - `-d'{"add": {"sender_domains": ["d1.com", "d2.com"],}, "delete": {"recipients": ["abc@xyz.com"],}}'`—Adds the sender domains "d1.com" and "d2.com" and deletes the recipient ""abc@xyz.com".